# Get All Inventories GET https://api.shipbob.com/Experimental/inventories Reference: https://developer.shipbob.com/experimental/api/inventories/get-all-inventories ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: |2 Get All Inventories version: endpoint_inventories.getAllInventories paths: /Experimental/inventories: get: operationId: get-all-inventories summary: |2 Get All Inventories tags: - - subpackage_inventories parameters: - name: SearchBy in: query description: '' required: false schema: type: string - name: FilterOperations in: query description: '' required: false schema: type: string - name: InventoryIds in: query description: '' required: false schema: type: string - name: IsActive in: query description: '' required: false schema: type: boolean - name: IsDigital in: query description: '' required: false schema: type: boolean - name: PageSize in: query description: '' required: false schema: type: string format: int32 - name: SortBy in: query description: '' required: false schema: type: string - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token required: true schema: type: string responses: '200': description: OK content: application/json: schema: $ref: '#/components/schemas/Inventory.InventoryResponsePagedResponse' '400': description: Bad Request content: {} '401': description: Unauthorized content: {} '403': description: Forbidden content: {} '500': description: Internal Server Error content: {} '503': description: Service Unavailable content: {} components: schemas: Inventory.DimensionsResponse: type: object properties: height: type: number format: double is_locked: type: boolean length: type: number format: double unit: type: - string - 'null' validated: type: boolean width: type: number format: double Inventory.HazmatResponse: type: object properties: is_hazmat: type: boolean validated: type: boolean Inventory.VariantResponse: type: object properties: hazmat: $ref: '#/components/schemas/Inventory.HazmatResponse' is_active: type: boolean is_bundle: type: boolean is_digital: type: boolean Inventory.WeightResponse: type: object properties: unit: type: - string - 'null' value: type: number format: double Inventory.InventoryResponse: type: object properties: barcode: type: - string - 'null' dimensions: $ref: '#/components/schemas/Inventory.DimensionsResponse' inventory_id: type: integer is_case: type: boolean is_lot: type: boolean name: type: - string - 'null' sku: type: - string - 'null' user_id: type: integer variant: $ref: '#/components/schemas/Inventory.VariantResponse' weight: $ref: '#/components/schemas/Inventory.WeightResponse' Inventory.InventoryResponsePagedResponse: type: object properties: first: type: - string - 'null' items: type: - array - 'null' items: $ref: '#/components/schemas/Inventory.InventoryResponse' last: type: - string - 'null' next: type: - string - 'null' prev: type: - string - 'null' ``` ## SDK Code Examples ```python Inventories_getAllInventories_example import requests url = "https://api.shipbob.com/Experimental/inventories" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Inventories_getAllInventories_example const url = 'https://api.shipbob.com/Experimental/inventories'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Inventories_getAllInventories_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/Experimental/inventories" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Inventories_getAllInventories_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/Experimental/inventories") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Inventories_getAllInventories_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/Experimental/inventories") .header("Authorization", "Bearer ") .asString(); ``` ```php Inventories_getAllInventories_example request('GET', 'https://api.shipbob.com/Experimental/inventories', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Inventories_getAllInventories_example using RestSharp; var client = new RestClient("https://api.shipbob.com/Experimental/inventories"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Inventories_getAllInventories_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/Experimental/inventories")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```